The BOOST_PP_TUPLE_REVERSE macro reverses a tuple.

#### Usage

BOOST_PP_TUPLE_REVERSE(size, tuple)
or
BOOST_PP_TUPLE_REVERSE(...) (v)

#### Arguments

size
  The size of the tuple to be reversed. Valid tuple sizes range from 1 to BOOST_PP_LIMIT_TUPLE.
tuple
  The tuple to be reversed.

#### Remarks

The size argument must be the actual size of the tuple.
You can invoke the variadic version (v) as BOOST_PP_TUPLE_REVERSE(tuple) or BOOST_PP_TUPLE_REVERSE(size,tuple).

#### See Also

- BOOST_PP_LIMIT_TUPLE

#### Requirements

Header: <boost/preprocessor/tuple/reverse.hpp>

#### Sample Code

    #include <boost/preprocessor/tuple/reverse.hpp>

    BOOST_PP_TUPLE_REVERSE(3, (x, y, z)) // expands to (z, y, x)

    // or for the variadic version (v)

    BOOST_PP_TUPLE_REVERSE((x, y, z)) // expands to (z, y, x)

© Copyright Housemarque Oy 2002
© Copyright Paul Mensonides 2002
© Copyright Edward Diener 2011

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)